net.minecraft.init

## Class Items

- java.lang.Object
- - net.minecraft.init.Items

-     public class Items
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Item` | `apple`
    `static Item` | `arrow`
    `static Item` | `baked_potato`
    `static Item` | `bed`
    `static Item` | `beef`
    `static Item` | `blaze_powder`
    `static Item` | `blaze_rod`
    `static Item` | `boat`
    `static Item` | `bone`
    `static Item` | `book`
    `static ItemBow` | `bow`
    `static Item` | `bowl`
    `static Item` | `bread`
    `static Item` | `brewing_stand`
    `static Item` | `brick`
    `static Item` | `bucket`
    `static Item` | `cake`
    `static Item` | `carrot`
    `static Item` | `carrot_on_a_stick`
    `static Item` | `cauldron`
    `static ItemArmor` | `chainmail_boots`
    `static ItemArmor` | `chainmail_chestplate`
    `static ItemArmor` | `chainmail_helmet`
    `static ItemArmor` | `chainmail_leggings`
    `static Item` | `chest_minecart`
    `static Item` | `chicken`
    `static Item` | `clay_ball`
    `static Item` | `clock`
    `static Item` | `coal`
    `static Item` | `command_block_minecart`
    `static Item` | `comparator`
    `static Item` | `compass`
    `static Item` | `cooked_beef`
    `static Item` | `cooked_chicken`
    `static Item` | `cooked_fished`
    `static Item` | `cooked_porkchop`
    `static Item` | `cookie`
    `static Item` | `diamond`
    `static Item` | `diamond_axe`
    `static ItemArmor` | `diamond_boots`
    `static ItemArmor` | `diamond_chestplate`
    `static ItemArmor` | `diamond_helmet`
    `static Item` | `diamond_hoe`
    `static Item` | `diamond_horse_armor`
    `static ItemArmor` | `diamond_leggings`
    `static Item` | `diamond_pickaxe`
    `static Item` | `diamond_shovel`
    `static Item` | `diamond_sword`
    `static Item` | `dye`
    `static Item` | `egg`
    `static Item` | `emerald`
    `static ItemEnchantedBook` | `enchanted_book`
    `static Item` | `ender_eye`
    `static Item` | `ender_pearl`
    `static Item` | `experience_bottle`
    `static Item` | `feather`
    `static Item` | `fermented_spider_eye`
    `static ItemMap` | `filled_map`
    `static Item` | `fire_charge`
    `static Item` | `firework_charge`
    `static Item` | `fireworks`
    `static Item` | `fish`
    `static ItemFishingRod` | `fishing_rod`
    `static Item` | `flint`
    `static Item` | `flint_and_steel`
    `static Item` | `flower_pot`
    `static Item` | `furnace_minecart`
    `static Item` | `ghast_tear`
    `static Item` | `glass_bottle`
    `static Item` | `glowstone_dust`
    `static Item` | `gold_ingot`
    `static Item` | `gold_nugget`
    `static Item` | `golden_apple`
    `static Item` | `golden_axe`
    `static ItemArmor` | `golden_boots`
    `static Item` | `golden_carrot`
    `static ItemArmor` | `golden_chestplate`
    `static ItemArmor` | `golden_helmet`
    `static Item` | `golden_hoe`
    `static Item` | `golden_horse_armor`
    `static ItemArmor` | `golden_leggings`
    `static Item` | `golden_pickaxe`
    `static Item` | `golden_shovel`
    `static Item` | `golden_sword`
    `static Item` | `gunpowder`
    `static Item` | `hopper_minecart`
    `static Item` | `iron_axe`
    `static ItemArmor` | `iron_boots`
    `static ItemArmor` | `iron_chestplate`
    `static Item` | `iron_door`
    `static ItemArmor` | `iron_helmet`
    `static Item` | `iron_hoe`
    `static Item` | `iron_horse_armor`
    `static Item` | `iron_ingot`
    `static ItemArmor` | `iron_leggings`
    `static Item` | `iron_pickaxe`
    `static Item` | `iron_shovel`
    `static Item` | `iron_sword`
    `static Item` | `item_frame`
    `static Item` | `lava_bucket`
    `static Item` | `lead`
    `static Item` | `leather`
    `static ItemArmor` | `leather_boots`
    `static ItemArmor` | `leather_chestplate`
    `static ItemArmor` | `leather_helmet`
    `static ItemArmor` | `leather_leggings`
    `static Item` | `magma_cream`
    `static ItemEmptyMap` | `map`
    `static Item` | `melon`
    `static Item` | `melon_seeds`
    `static Item` | `milk_bucket`
    `static Item` | `minecart`
    `static Item` | `mushroom_stew`
    `static Item` | `name_tag`
    `static Item` | `nether_star`
    `static Item` | `nether_wart`
    `static Item` | `netherbrick`
    `static Item` | `painting`
    `static Item` | `paper`
    `static Item` | `poisonous_potato`
    `static Item` | `porkchop`
    `static Item` | `potato`
    `static ItemPotion` | `potionitem`
    `static Item` | `pumpkin_pie`
    `static Item` | `pumpkin_seeds`
    `static Item` | `quartz`
    `static Item` | `record_11`
    `static Item` | `record_13`
    `static Item` | `record_blocks`
    `static Item` | `record_cat`
    `static Item` | `record_chirp`
    `static Item` | `record_far`
    `static Item` | `record_mall`
    `static Item` | `record_mellohi`
    `static Item` | `record_stal`
    `static Item` | `record_strad`
    `static Item` | `record_wait`
    `static Item` | `record_ward`
    `static Item` | `redstone`
    `static Item` | `reeds`
    `static Item` | `repeater`
    `static Item` | `rotten_flesh`
    `static Item` | `saddle`
    `static ItemShears` | `shears`
    `static Item` | `sign`
    `static Item` | `skull`
    `static Item` | `slime_ball`
    `static Item` | `snowball`
    `static Item` | `spawn_egg`
    `static Item` | `speckled_melon`
    `static Item` | `spider_eye`
    `static Item` | `stick`
    `static Item` | `stone_axe`
    `static Item` | `stone_hoe`
    `static Item` | `stone_pickaxe`
    `static Item` | `stone_shovel`
    `static Item` | `stone_sword`
    `static Item` | `string`
    `static Item` | `sugar`
    `static Item` | `tnt_minecart`
    `static Item` | `water_bucket`
    `static Item` | `wheat`
    `static Item` | `wheat_seeds`
    `static Item` | `wooden_axe`
    `static Item` | `wooden_door`
    `static Item` | `wooden_hoe`
    `static Item` | `wooden_pickaxe`
    `static Item` | `wooden_shovel`
    `static Item` | `wooden_sword`
    `static Item` | `writable_book`
    `static Item` | `written_book`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Items()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### iron_shovel

          public static final Item iron_shovel

    - #### iron_pickaxe

          public static final Item iron_pickaxe

    - #### iron_axe

          public static final Item iron_axe

    - #### flint_and_steel

          public static final Item flint_and_steel

    - #### apple

          public static final Item apple

    - #### bow

          public static final ItemBow bow

    - #### arrow

          public static final Item arrow

    - #### coal

          public static final Item coal

    - #### diamond

          public static final Item diamond

    - #### iron_ingot

          public static final Item iron_ingot

    - #### gold_ingot

          public static final Item gold_ingot

    - #### iron_sword

          public static final Item iron_sword

    - #### wooden_sword

          public static final Item wooden_sword

    - #### wooden_shovel

          public static final Item wooden_shovel

    - #### wooden_pickaxe

          public static final Item wooden_pickaxe

    - #### wooden_axe

          public static final Item wooden_axe

    - #### stone_sword

          public static final Item stone_sword

    - #### stone_shovel

          public static final Item stone_shovel

    - #### stone_pickaxe

          public static final Item stone_pickaxe

    - #### stone_axe

          public static final Item stone_axe

    - #### diamond_sword

          public static final Item diamond_sword

    - #### diamond_shovel

          public static final Item diamond_shovel

    - #### diamond_pickaxe

          public static final Item diamond_pickaxe

    - #### diamond_axe

          public static final Item diamond_axe

    - #### stick

          public static final Item stick

    - #### bowl

          public static final Item bowl

    - #### mushroom_stew

          public static final Item mushroom_stew

    - #### golden_sword

          public static final Item golden_sword

    - #### golden_shovel

          public static final Item golden_shovel

    - #### golden_pickaxe

          public static final Item golden_pickaxe

    - #### golden_axe

          public static final Item golden_axe

    - #### string

          public static final Item string

    - #### feather

          public static final Item feather

    - #### gunpowder

          public static final Item gunpowder

    - #### wooden_hoe

          public static final Item wooden_hoe

    - #### stone_hoe

          public static final Item stone_hoe

    - #### iron_hoe

          public static final Item iron_hoe

    - #### diamond_hoe

          public static final Item diamond_hoe

    - #### golden_hoe

          public static final Item golden_hoe

    - #### wheat_seeds

          public static final Item wheat_seeds

    - #### wheat

          public static final Item wheat

    - #### bread

          public static final Item bread

    - #### leather_helmet

          public static final ItemArmor leather_helmet

    - #### leather_chestplate

          public static final ItemArmor leather_chestplate

    - #### leather_leggings

          public static final ItemArmor leather_leggings

    - #### leather_boots

          public static final ItemArmor leather_boots

    - #### chainmail_helmet

          public static final ItemArmor chainmail_helmet

    - #### chainmail_chestplate

          public static final ItemArmor chainmail_chestplate

    - #### chainmail_leggings

          public static final ItemArmor chainmail_leggings

    - #### chainmail_boots

          public static final ItemArmor chainmail_boots

    - #### iron_helmet

          public static final ItemArmor iron_helmet

    - #### iron_chestplate

          public static final ItemArmor iron_chestplate

    - #### iron_leggings

          public static final ItemArmor iron_leggings

    - #### iron_boots

          public static final ItemArmor iron_boots

    - #### diamond_helmet

          public static final ItemArmor diamond_helmet

    - #### diamond_chestplate

          public static final ItemArmor diamond_chestplate

    - #### diamond_leggings

          public static final ItemArmor diamond_leggings

    - #### diamond_boots

          public static final ItemArmor diamond_boots

    - #### golden_helmet

          public static final ItemArmor golden_helmet

    - #### golden_chestplate

          public static final ItemArmor golden_chestplate

    - #### golden_leggings

          public static final ItemArmor golden_leggings

    - #### golden_boots

          public static final ItemArmor golden_boots

    - #### flint

          public static final Item flint

    - #### porkchop

          public static final Item porkchop

    - #### cooked_porkchop

          public static final Item cooked_porkchop

    - #### painting

          public static final Item painting

    - #### golden_apple

          public static final Item golden_apple

    - #### sign

          public static final Item sign

    - #### wooden_door

          public static final Item wooden_door

    - #### bucket

          public static final Item bucket

    - #### water_bucket

          public static final Item water_bucket

    - #### lava_bucket

          public static final Item lava_bucket

    - #### minecart

          public static final Item minecart

    - #### saddle

          public static final Item saddle

    - #### iron_door

          public static final Item iron_door

    - #### redstone

          public static final Item redstone

    - #### snowball

          public static final Item snowball

    - #### boat

          public static final Item boat

    - #### leather

          public static final Item leather

    - #### milk_bucket

          public static final Item milk_bucket

    - #### brick

          public static final Item brick

    - #### clay_ball

          public static final Item clay_ball

    - #### reeds

          public static final Item reeds

    - #### paper

          public static final Item paper

    - #### book

          public static final Item book

    - #### slime_ball

          public static final Item slime_ball

    - #### chest_minecart

          public static final Item chest_minecart

    - #### furnace_minecart

          public static final Item furnace_minecart

    - #### egg

          public static final Item egg

    - #### compass

          public static final Item compass

    - #### fishing_rod

          public static final ItemFishingRod fishing_rod

    - #### clock

          public static final Item clock

    - #### glowstone_dust

          public static final Item glowstone_dust

    - #### fish

          public static final Item fish

    - #### cooked_fished

          public static final Item cooked_fished

    - #### dye

          public static final Item dye

    - #### bone

          public static final Item bone

    - #### sugar

          public static final Item sugar

    - #### cake

          public static final Item cake

    - #### bed

          public static final Item bed

    - #### repeater

          public static final Item repeater

    - #### cookie

          public static final Item cookie

    - #### filled_map

          public static final ItemMap filled_map

    - #### shears

          public static final ItemShears shears

    - #### melon

          public static final Item melon

    - #### pumpkin_seeds

          public static final Item pumpkin_seeds

    - #### melon_seeds

          public static final Item melon_seeds

    - #### beef

          public static final Item beef

    - #### cooked_beef

          public static final Item cooked_beef

    - #### chicken

          public static final Item chicken

    - #### cooked_chicken

          public static final Item cooked_chicken

    - #### rotten_flesh

          public static final Item rotten_flesh

    - #### ender_pearl

          public static final Item ender_pearl

    - #### blaze_rod

          public static final Item blaze_rod

    - #### ghast_tear

          public static final Item ghast_tear

    - #### gold_nugget

          public static final Item gold_nugget

    - #### nether_wart

          public static final Item nether_wart

    - #### potionitem

          public static final ItemPotion potionitem

    - #### glass_bottle

          public static final Item glass_bottle

    - #### spider_eye

          public static final Item spider_eye

    - #### fermented_spider_eye

          public static final Item fermented_spider_eye

    - #### blaze_powder

          public static final Item blaze_powder

    - #### magma_cream

          public static final Item magma_cream

    - #### brewing_stand

          public static final Item brewing_stand

    - #### cauldron

          public static final Item cauldron

    - #### ender_eye

          public static final Item ender_eye

    - #### speckled_melon

          public static final Item speckled_melon

    - #### spawn_egg

          public static final Item spawn_egg

    - #### experience_bottle

          public static final Item experience_bottle

    - #### fire_charge

          public static final Item fire_charge

    - #### writable_book

          public static final Item writable_book

    - #### written_book

          public static final Item written_book

    - #### emerald

          public static final Item emerald

    - #### item_frame

          public static final Item item_frame

    - #### flower_pot

          public static final Item flower_pot

    - #### carrot

          public static final Item carrot

    - #### potato

          public static final Item potato

    - #### baked_potato

          public static final Item baked_potato

    - #### poisonous_potato

          public static final Item poisonous_potato

    - #### map

          public static final ItemEmptyMap map

    - #### golden_carrot

          public static final Item golden_carrot

    - #### skull

          public static final Item skull

    - #### carrot_on_a_stick

          public static final Item carrot_on_a_stick

    - #### nether_star

          public static final Item nether_star

    - #### pumpkin_pie

          public static final Item pumpkin_pie

    - #### fireworks

          public static final Item fireworks

    - #### firework_charge

          public static final Item firework_charge

    - #### enchanted_book

          public static final ItemEnchantedBook enchanted_book

    - #### comparator

          public static final Item comparator

    - #### netherbrick

          public static final Item netherbrick

    - #### quartz

          public static final Item quartz

    - #### tnt_minecart

          public static final Item tnt_minecart

    - #### hopper_minecart

          public static final Item hopper_minecart

    - #### iron_horse_armor

          public static final Item iron_horse_armor

    - #### golden_horse_armor

          public static final Item golden_horse_armor

    - #### diamond_horse_armor

          public static final Item diamond_horse_armor

    - #### lead

          public static final Item lead

    - #### name_tag

          public static final Item name_tag

    - #### command_block_minecart

          public static final Item command_block_minecart

    - #### record_13

          public static final Item record_13

    - #### record_cat

          public static final Item record_cat

    - #### record_blocks

          public static final Item record_blocks

    - #### record_chirp

          public static final Item record_chirp

    - #### record_far

          public static final Item record_far

    - #### record_mall

          public static final Item record_mall

    - #### record_mellohi

          public static final Item record_mellohi

    - #### record_stal

          public static final Item record_stal

    - #### record_strad

          public static final Item record_strad

    - #### record_ward

          public static final Item record_ward

    - #### record_11

          public static final Item record_11

    - #### record_wait

          public static final Item record_wait

  - ### Constructor Detail

    - #### Items

          public Items()